## shmem_double_p

#### Purpose

Transfers one data item to a remote Processing Element (PE).

#### C syntax

    #include <shmem.h>

    void shmem_double_p(double *addr, double value, int pe);

#### Parameters

INPUT
addr
  The remotely accessible data object which will receive the data on the remote PE.
value
  The value to be transferred to addr on the remote PE.
pe
  Processing element number of the remote PE.

#### Description

This routine provides a very low latency remote read write capability for single elements of most basic types

This function starts the remote transfer and may return before the data is delivered to the remote PE. To enforce the ordering/completion of the put routines, the use of shmem_fence, shmem_quiet, shmem_barrier or shmem_barrier_all is needed.

The function shmem_double_p() transfers a double data item to the remote PE.

#### IBM NOTES

Please refer to Atomicity and Coherency section for atomicity and coherence model in the OpenSHMEM documentation

#### C examples

#### Related information

Subroutines: shmem_get, shmem_iget

OpenSHMEM API Index